This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 234079 - Review Request: kicker-compiz - Pager applet for kicker to make it work with compiz
Review Request: kicker-compiz - Pager applet for kicker to make it work with ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chitlesh GOORAH
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-26 17:49 EDT by Xavier Lamien
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-09 09:54:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
chitlesh: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Xavier Lamien 2007-03-26 17:49:59 EDT
Spec URL: http://download.tuxfamily.org/lxtnow/fedora/SPECS/kicker-compiz.spec
SRPM URL: http://download.tuxfamily.org/lxtnow/fedora/devel/SRPMS/kicker-compiz-3.5.4-2.fc7.src.rpm
Build Log: http://download.tuxfamily.org/lxtnow/fedora/devel/Logs/kicker-compiz_build.log

Description: 

This is a modified pager applet for kicker to make it
work with compiz. More generally, it is intended to
work with window managers that use the concept of
"large desktops" instead of "multiple virtual desktops"
as kwin does exclusively.

Technically, it is a matter of respecting window managers
standards as defined by EWMH
(http://standards.freedesktop.org/wm-spec/wm-spec-1.4.html),
using the facilities already provided by KDE
Comment 1 Aurelien Bompard 2007-04-02 16:18:30 EDT
Quick notes, because I can't get it to work so I won't review it just yet :
* Please use this URL in the Source tag :
http://kde-apps.org/CONTENT/content-files/46021-kicker-compiz-3.5.4.tar.gz
* mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 14)
Comment 2 Chitlesh GOORAH 2007-04-28 07:59:21 EDT
The requested URL /lxtnow/fedora/devel/SRPMS/kicker-compiz-3.5.4-2.fc7.src.rpm 
was not found on this server.

Please upload a new SRPM.
Comment 3 Xavier Lamien 2007-06-09 14:38:30 EDT
It will fix this week-end.


ps: Sorry for the late of this bug, its mail notification had drowned in my mailbox.
Comment 4 Xavier Lamien 2007-06-13 13:17:37 EDT
well,

uploaded files are available from this following link.
http://download.tuxfamily.org/lxtnow/extras/kicker-compiz
Comment 5 Chitlesh GOORAH 2007-06-27 04:04:00 EDT
Hello Xavier,
I have no intention to discourage you from submitting this package to fedora 
repositories. 
But however please note that:
1.  by the time F8 will be out KDE4 will too. As you perhaps already know, 
this kde3 application will be useless. That is in other terms you will package 
kicker-compiz for FC-6 and F-7 max.

Perhaps RexDieter can advise us up here.

2.  kicker-compiz is nothing more than an enhancement upon kde. You have to 
make sure that upstream didn't already apply such fix.

Are you till motivated to continue ?
Comment 6 Xavier Lamien 2007-06-28 16:21:25 EDT
hi !

> 1.  by the time F8 will be out KDE4 will too. As you perhaps already know, 
> this kde3 application will be useless. That is in other terms you will package 
> kicker-compiz for FC-6 and F-7 max.

That's what i thought :/

> 2.  kicker-compiz is nothing more than an enhancement upon kde. You have to 
> make sure that upstream didn't already apply such fix.

yep, i'll check this out.


> Are you till motivated to continue ?

currently, only if there's a good interest to push it into Fedora reporitory.

I'll wait a comment from Rex before make my choice ;-)
Comment 7 Rex Dieter 2007-06-28 16:27:43 EDT
No issues here, I'm fine with it for inclusion.
Comment 8 Chitlesh GOORAH 2007-06-28 17:06:29 EDT
ok, let's add it into fedora, it might at least satisfy a user.

#01: summary
can you change the summary from
Summary:        Pager applet for kicker to make it work with compiz
to
Summary:        Makes KDE kicker Pager applet work with compiz

The idea is to pull/locate kicker-compiz via the word "KDE" into the search 
engine of pirut.

#02: Build Requirements:
libXcomposite-devel already requires libXfixes-devel

rpm -qR libXcomposite-devel
libXcomposite = 0.3-5.1
libXcomposite.so.1
libXfixes-devel
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
xorg-x11-filesystem >= 0.99.2-3
xorg-x11-proto-devel >= 7.0-10

IS there any particular reason of doxygen's presence among BRs ?

#3: Description versus README
The README file contains virtually no important information for the user, 
other than:
Once it is installed, use the kicker dialog to add a new applet, and the pager
will appear in the list (Right-click on kicker, then "add an applet to the
panel" -> "Pager - Compiz").

Hence wipe off the README file and modify your description to be:
%description
This is a modified pager applet for kicker to make it work with
compiz. More generally, it is intended to work with window 
managers that use the concept of "large desktops" instead of 
"multiple virtual desktops" as kwin does exclusively.
Once it is installed, use the kicker dialog to add a new applet,
and the pager will appear in the list (Right-click on kicker, 
then "add an applet to the panel" -> "Pager - Compiz")

#4: QT libs
These are not neccesary on fedora platforms (thanks to Rex :) )
unset QTDIR || : ; . /etc/profile.d/qt.sh
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include

Comment 9 Rex Dieter 2007-06-28 17:26:44 EDT
source'ing qt.sh is still a good idea, manually setting QTLIB,QTINC isn't.
Comment 10 Xavier Lamien 2007-07-03 13:56:59 EDT
Well,
here's a new one:
http://download.tuxfamily.org/lxtnow/extras/kicker-compiz
Comment 11 Chitlesh GOORAH 2007-07-04 10:20:15 EDT
MUST Items:

- MUST: rpmlint's output is clean
- MUST: The package is named according to the Package Naming Guidelines.
- MUST: The spec file name matches the base package %{name}
- MUST: The package meets the Packaging Guidelines.
- MUST: The package is licensed (GPL) with an open-source compatible license 
and meet other legal requirements as defined in the legal section of Packaging
Guidelines.
- MUST: The License field in the package spec file matches the actual license.
- MUST: the source package includes the text of the license(s) in its own 
file, then that file, containing the text of the license(s) for the package is
included in %doc.
- MUST: The spec file must be written in American English.
- MUST: The spec file for the package is be legible. 
- MUST: The sources used to build the package must matches the upstream 
source, as provided in the spec URL.
- MUST: The package successfully compiles and builds into binary rpms on at
least i386.
- MUST: All build dependencies is listed in BuildRequires.
- MUST: The spec file handles locales properly.
- MUST: If the package does not contain shared library files located in the
dynamic linker's default paths
- MUST: the package is not designed to be relocatable
- MUST: the package owns all directories that it creates.
- MUST: the package does not contain any duplicate files in the %files 
listing.
- MUST: Permissions on files are set properly.
- MUST: The package has a %clean section, which contains rm -rf %{buildroot} 
(or $RPM_BUILD_ROOT).
- MUST: The package consistently uses macros, as described in the macros 
section of Packaging Guidelines.
- MUST: The package contains code, or permissable content. This is described 
in detail in the code vs. content section of Packaging Guidelines.
- MUST: There are no Large documentation files
- MUST: %doc does not affect the runtime of the application. To summarize: If 
it is in %doc, the program must run properly if it is not present.
- MUST: There are no Header files or static libraries 
- MUST: The package does not contain library files with a suffix 
- MUST: Package does NOT contain any .la libtool archives
- MUST: Package containing GUI applications includes a %{name}.desktop file, 
and that file must be properly installed with desktop-file-install in 
the %install section.
- MUST: Package does not own files or directories already owned by other 
packages. 

SHOULD Items:

 - SHOULD: The source package does include license text(s)
 - SHOULD: mock builds succcessfully in i386.
 - SHOULD: The reviewer tested that the package functions as described. A
package should not segfault instead of running, for example.
 - SHOULD: No scriptlets were used, those scriptlets must be sane. 
 - SHOULD: No subpackages present.

APPROVED
Comment 12 Chitlesh GOORAH 2007-07-04 10:20:46 EDT
Follow http://fedoraproject.org/wiki/CVSAdminProcedure for the CVS Request
procedure.
Comment 13 Xavier Lamien 2007-07-04 10:29:35 EDT
New Package CVS Request
=======================
Package Name: kicker-compiz
Short Description: Pager applet for kicker to make it work with compiz
Owners: lxtnow@gmail.com
Branches: FC-6 F-7 Devel
InitialCC: 
Comment 14 Kevin Fenzi 2007-07-04 14:08:44 EDT
cvs done.
Comment 15 Chitlesh GOORAH 2007-07-07 18:12:38 EDT
Xavier, please try to import this to Fedora.
Comment 16 Xavier Lamien 2007-07-09 09:54:40 EDT
Imported and built.
thanks to all

Note You need to log in before you can comment on or make changes to this bug.